{
    // 使用 IntelliSense 了解相关属性。 
    // 悬停以查看现有属性的描述。
    // 欲了解更多信息，请访问: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "client-base-v4",   // 启动配置名称
            "type": "node",     // 调试器类型，我们是 Node.js 环境
            "request": "launch",    // 请求方式，有 launch(启动) 和 attach(附加) 两种
            "cwd": "${workspaceRoot}",
            "runtimeExecutable": "npm", // 任务运行工具，'npm', 'mocha', 'gulp' 等
            // 启动我们的 egg-bin debug 并默认是 brk
            "runtimeArgs": [ "run", "dev"],
            // 日志输出到 Terminal，否则启动期的日志看不到
            "console": "integratedTerminal",
            // 自动 attach 子进程 
            "autoAttachChildProcesses": true
        }
    ]
}